require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);
SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", false);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", true);

SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", false);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", false);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", true);

SManager:AddHoneymoon(HoneymoonType.BEACH, "HMBelize", true);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMMadrid", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMGeneva", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");